Index: projets/BCCCC/src/org/ccc/bcccc/client/BCCCC.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/BCCCC.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/client/BCCCC.java	(revision 7)
@@ -159,7 +159,7 @@
 
 		mainBar.setWidth100();
 
-		homeButton = new ToolStripButton("Home");
+		homeButton = new ToolStripButton("Accueil");
 		homeButton.addClickHandler(new ClickHandler() {
 			@Override
 			public void onClick(ClickEvent event) {
@@ -167,7 +167,7 @@
 			}
 		});
 
-		browseButton = new ToolStripButton("Browse");
+		browseButton = new ToolStripButton("Parcourir les fiches");
 		browseButton.addClickHandler(new ClickHandler() {
 			@Override
 			public void onClick(ClickEvent event) {
@@ -175,7 +175,7 @@
 			}
 		});
 
-		searchButton = new ToolStripButton("Search");
+		searchButton = new ToolStripButton("Chercher une fiche");
 		searchButton.addClickHandler(new ClickHandler() {
 			@Override
 			public void onClick(ClickEvent event) {
@@ -183,7 +183,7 @@
 			}
 		});
 
-		myRecordsButton = new ToolStripButton("My records");
+		myRecordsButton = new ToolStripButton("Mes fiches");
 		myRecordsButton.addClickHandler(new ClickHandler() {
 			@Override
 			public void onClick(ClickEvent event) {
@@ -191,7 +191,7 @@
 			}
 		});
 
-		createRecordButton = new ToolStripButton("Create a new record");
+		createRecordButton = new ToolStripButton("Créer une fiche");
 		createRecordButton.addClickHandler(new ClickHandler() {
 			@Override
 			public void onClick(ClickEvent event) {
@@ -199,7 +199,7 @@
 			}
 		});
 
-		loginButton = new ToolStripButton("Log in");
+		loginButton = new ToolStripButton("Se connecter");
 		loginButton.addClickHandler(new ClickHandler() {
 			@Override
 			public void onClick(ClickEvent event) {
@@ -207,7 +207,7 @@
 			}  
 		});  
 
-		logoutButton = new ToolStripButton("Log out");
+		logoutButton = new ToolStripButton("Se déconnecter");
 		logoutButton.addClickHandler(new ClickHandler() {
 			@Override
 			public void onClick(ClickEvent event) {
@@ -225,7 +225,7 @@
 						logoutButton.setVisible(false);
 						myRecordsButton.setVisible(false);
 						createRecordButton.setVisible(false);
-						userNameLabel.setContents("Visitor");
+						userNameLabel.setContents("Visiteur");
 
 						History.newItem(K.HOME);
 					}
@@ -234,7 +234,7 @@
 		});
 
 		userNameLabel = new Label();
-		userNameLabel.setContents("Visitor");
+		userNameLabel.setContents("Visiteur");
 		userNameLabel.setWidth100();
 		userNameLabel.setAlign(Alignment.RIGHT);
 
@@ -272,7 +272,7 @@
 				continueHistoryChange = true;
 				for (Canvas panel : centerLayout.getMembers()){
 					if (panel == editTerrainRecordPanel && editTerrainRecordPanel.isRecordChanged()) {
-						SC.ask("Warning: the record is not saved. Continue ?", new BooleanCallback() {
+						SC.ask("Attention la fiche n'est pas sauvegardée. Continuer ?", new BooleanCallback() {
 							@Override
 							public void execute(Boolean value) {
 								continueHistoryChange = value;
Index: projets/BCCCC/src/org/ccc/bcccc/client/panels/SearchPanel.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/panels/SearchPanel.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/client/panels/SearchPanel.java	(revision 7)
@@ -34,6 +34,8 @@
 import com.smartgwt.client.util.SC;
 import com.smartgwt.client.widgets.form.DynamicForm;
 import com.smartgwt.client.widgets.form.fields.ButtonItem;
+import com.smartgwt.client.widgets.form.fields.CheckboxItem;
+import com.smartgwt.client.widgets.form.fields.RadioGroupItem;
 import com.smartgwt.client.widgets.form.fields.SelectItem;
 import com.smartgwt.client.widgets.form.fields.SliderItem;
 import com.smartgwt.client.widgets.form.fields.TextItem;
@@ -55,6 +57,7 @@
 	
 	/** The init search complex done. */
 	boolean initSearchComplexDone = false;
+	private CheckboxItem checkboxItem;
 	
 	/**
 	 * Inits the.
@@ -68,9 +71,12 @@
 		form.setHeight100();
 		this.addMember(form);
 		
+		checkboxItem = new CheckboxItem(K.MATCHINGSTRATEGY);  
+        checkboxItem.setTitle("Doit matcher tous les critères renseignés");  
+        checkboxItem.setHeight(20); 
+        
 		TextItem wordsField = new TextItem(K.WORDS, "Recherche par mot");
 		
-
 		SelectItem types = new SelectItem(K.TYPES);
 		types.setTitle("Terrain types");
 		types.setMultiple(true);  
@@ -109,6 +115,9 @@
 			@Override
 			public void onClick(com.smartgwt.client.widgets.form.fields.events.ClickEvent event) {
 
+				String matching_strategy = "ONE";
+				if (checkboxItem.getValueAsBoolean()) matching_strategy = "ALL";
+				
 				String words_value = form.getValueAsString(K.WORDS);
 				if (words_value == null) words_value = "";
 				else words_value = words_value.trim();
@@ -142,6 +151,7 @@
 				System.out.println("Updating records...");
 
 				HashMap<String, String> critera = new HashMap<String, String>();
+				critera.put(K.MATCHINGSTRATEGY, matching_strategy);
 				critera.put(K.WORDS, words_value);
 				critera.put(K.TYPES, types_value);
 				critera.put(K.PROJECTS, projects_value);
@@ -168,6 +178,6 @@
 			}
 		});
 
-		form.setItems(wordsField, types, projets, participants, dispositifs, supports, validate);
+		form.setItems(checkboxItem, wordsField, types, projets, participants, dispositifs, supports, validate);
 	}
 }
Index: projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java	(revision 7)
@@ -26,6 +26,7 @@
 import java.util.regex.Pattern;
 
 import org.ccc.bcccc.client.GreetingService;
+import org.ccc.bcccc.shared.ITerrainField;
 import org.ccc.bcccc.shared.K;
 import org.ccc.bcccc.shared.TerrainRecord;
 import org.ccc.bcccc.shared.TerrainRecordAndRights;
@@ -173,7 +174,7 @@
 		if (user != null) {
 			if (user.equals(ConfigDB.getAdmin())) {
 				r.deletable = true;
-				r.editable = true;
+				r.editable = false;
 				r.validable = r.record.mustBeValidated;
 			} else if (user.equals(r.record.user)) {
 				r.deletable = true;
@@ -225,55 +226,85 @@
 		log.info("getRecordWithComplexCritera: "+critera);
 		ArrayList<TerrainRecord> searched_records = new ArrayList<TerrainRecord>();
 
-		String words = addBackSlash(critera.get(K.WORDS)).replace(" ", "|");
+		boolean matchOne = critera.get(K.MATCHINGSTRATEGY).equals("ONE");
+		int NUMBEROFCRITERA = 0;
+		
+		String words = addBackSlash(critera.get(K.WORDS)).toLowerCase().replace(" ", "|");
 		Pattern p = null;
 		if (words.length() > 0) {
 			try {
 				p = Pattern.compile(words);
+				NUMBEROFCRITERA++;
 			} catch(Exception e) {
 				log.warning("Error while compiling search pattern with "+words+": "+e);
 				p = null;
 			}
 		}
+		
 		List<String> types = new ArrayList<String>();
-		if (critera.get(K.TYPES).length() > 0)
+		if (critera.get(K.TYPES).length() > 0) {
 			types= Arrays.asList(critera.get(K.TYPES).split(","));
-
+			NUMBEROFCRITERA++;
+		}
+		
 		List<String> dispositifs = new ArrayList<String>();
-		if (critera.get(K.DISPOSITIFS).length() > 0)
+		if (critera.get(K.DISPOSITIFS).length() > 0) {
 			dispositifs = Arrays.asList(critera.get(K.DISPOSITIFS).split(","));
-
+			NUMBEROFCRITERA++;
+		}
+		
 		List<String> supports = new ArrayList<String>();
-		if (critera.get(K.SUPPORTS).length() > 0)
+		if (critera.get(K.SUPPORTS).length() > 0) {
 			supports = Arrays.asList(critera.get(K.SUPPORTS).split(","));
-
+			NUMBEROFCRITERA++;
+		}
+		
 		List<String> projets = new ArrayList<String>();
-		if (critera.get(K.PROJECTS).length() > 0)
+		if (critera.get(K.PROJECTS).length() > 0) {
 			projets = Arrays.asList(critera.get(K.PROJECTS).split(","));
+			NUMBEROFCRITERA++;
+		}
+		
+		int numberOfParticipants = Integer.parseInt(critera.get(K.NUMBEROFPARTICIPANTS));
+		NUMBEROFCRITERA++;
+		
+		log.info("getRecordWithComplexCritera: NUMBEROFCRITERA="+NUMBEROFCRITERA+" WORDS="+words+", TYPES="+types+" DISPOSITIFS="+dispositifs+" SUPPORTS="+supports+" PROJECTS="+projets+" NUMBEROFPARTICIPANTS="+numberOfParticipants);
 
-		int persons = Integer.parseInt(critera.get(K.NUMBEROFPARTICIPANTS));
-
-		log.info("getRecordWithComplexCritera: WORDS="+words+", TYPES="+types+" DISPOSITIFS="+dispositifs+" SUPPORTS="+supports+" PROJECTS="+projets+" NUMBEROFPARTICIPANTS="+persons);
-
+		int match_counter = 0;
+		
 		for (TerrainRecord record : records.values()) {
-			if (p != null && p.matcher(record.short_description).find()) {
+			match_counter = 0;
+			if (p != null && p.matcher(record.short_description.toLowerCase()).find()) {
+				log.info(" "+record.uniq_id+" matches with words critera "+words);
+				match_counter++;
+			} 
+			if (record.numberOfParticipants >= numberOfParticipants) {
+				log.info(" "+record.uniq_id+" matches with numberOfParticipants critera "+numberOfParticipants);
+				match_counter++;
+			} 
+			if (types.size() > 0 && interString(record.types, types)) {
+				log.info(" "+record.uniq_id+" matches with types critera "+types);
+				match_counter++;
+			} 
+			if (dispositifs.size() > 0 && inter(record.dispositifs, dispositifs)) {
+				log.info(" "+record.uniq_id+" matches with dispositifs critera "+dispositifs);
+				match_counter++;
+			} 
+			if (projets.size() > 0) {
+				log.info(" "+record.uniq_id+" with projets critera "+projets);
+				match_counter++;
+			} 
+			if (supports.size() > 0 && inter(record.supports, supports)) {
+				log.info(" "+record.uniq_id+" matches with supports critera "+supports);
+				match_counter++;
+			}
+			
+			if (matchOne && match_counter >= 1) { 
 				searched_records.add(record);
-				log.info("Found "+record+" with words critera "+words);
-			} else if (persons > 0 && record.numberOfParticipants >= persons) {
+				log.info(" "+record.uniq_id+" found.");
+			} else if (!matchOne && match_counter == NUMBEROFCRITERA) {
 				searched_records.add(record);
-				log.info("Found "+record+" with persons critera "+persons);
-			} else if (types.size() > 0 && inter(record.types, types)) {
-				searched_records.add(record);
-				log.info("Found "+record+" with types critera "+types);
-			} else if (dispositifs.size() > 0 && inter(record.dispositifs, dispositifs)) {
-				searched_records.add(record);
-				log.info("Found "+record+" with dispositifs critera "+dispositifs);
-			} else if (projets.size() > 0) {
-				searched_records.add(record);
-				log.info("Found "+record+" with projets critera "+projets);
-			} else if (supports.size() > 0 && inter(record.supports, supports)) {
-				searched_records.add(record);
-				log.info("Found "+record+" with supports critera "+supports);
+				log.info(" "+record.uniq_id+" found.");
 			}
 		}
 
@@ -309,13 +340,28 @@
 	 * @param little the little
 	 * @return true, if successful
 	 */
-	public static boolean inter(List big, List little) {
+	public static boolean interString(List big, List little) {
 		for (Object o : little) {
 			for(Object o2 : big)
 				if (o2.toString().equals(o)) return true;
 		}
 		return false;
 	}
+	
+	/**
+	 * Inter.
+	 *
+	 * @param big the big
+	 * @param little the little
+	 * @return true, if successful
+	 */
+	public static boolean inter(List<? extends ITerrainField> big, List little) {
+		for (Object o : little) {
+			for(ITerrainField o2 : big)
+				if (o2.toCompareString().equals(o)) return true;
+		}
+		return false;
+	}
 
 	/* (non-Javadoc)
 	 * @see org.ccc.bcccc.client.GreetingService#getRecordsWithSimpleCritera(java.util.HashMap)
@@ -426,20 +472,23 @@
 
 			log.info("updateRecord: user="+user);
 
-			if (records.containsKey(ID)) {
+			if (!records.containsKey(ID)) {
 				log.warning("updateRecord: record does not exists: "+ID);
 				return false;
 			} else {
 				if (records.isRecordSetToUser(user, ID)) {
-					log.info("updateRecord: updating record: "+ID);
+					log.info("updateRecord: updating record: "+ID+" with "+content);
 					TerrainRecord record = records.get(ID);
-
-					if (record.mustBeValidated) {
-						log.warning("updateRecord: record needs to be validatd before: "+ID);
+					if (record == null) {
+						log.severe("updateRecord: record not found: "+ID);
 						return false;
 					}
+//					if (record.mustBeValidated) {
+//						log.warning("updateRecord: record needs to be validatd before: "+ID);
+//						return false;
+//					}
 					record.setDetailFields(content.numberOfParticipants, content.place, content.types, content.keywords, content.persons, content.dispositifs, content.documentations, content.supports, content.reports, content.publications);
-					record.setInfoFields(content.name, content.project, content.date, content.short_description, content.user);
+					record.setInfoFields(content.name, content.project, content.date, content.short_description, user);
 					return records.save(record);
 
 				} else {
Index: projets/BCCCC/src/org/ccc/bcccc/server/RecordsDB.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/server/RecordsDB.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/server/RecordsDB.java	(revision 7)
@@ -27,6 +27,7 @@
 
 import javax.xml.parsers.DocumentBuilder;
 import javax.xml.parsers.DocumentBuilderFactory;
+import javax.xml.transform.OutputKeys;
 import javax.xml.transform.Transformer;
 import javax.xml.transform.TransformerFactory;
 import javax.xml.transform.dom.DOMSource;
@@ -36,6 +37,7 @@
 import org.ccc.bcccc.shared.Dispositif;
 import org.ccc.bcccc.shared.DocumentUnit;
 import org.ccc.bcccc.shared.K;
+import org.ccc.bcccc.shared.Report;
 import org.ccc.bcccc.shared.TerrainRecord;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
@@ -141,6 +143,7 @@
 	 * @return true, if is record set to user
 	 */
 	public boolean isRecordSetToUser(String user, Long recordID) {
+		if (allUsersRecordIDS.get(user) == null) return false;
 		return allUsersRecordIDS.get(user).contains(recordID);
 	}
 
@@ -238,7 +241,20 @@
 						String url = node.getAttribute(K.URL);
 						record.documentations.add(new DocumentUnit(type, url, dname));
 					}
+					
 
+					// get documentations
+					NodeList reports = rootElement.getElementsByTagName(K.REPORT);
+					for (int i=0; i<reports.getLength(); i++){
+						Element node = (Element)(reports.item(i));
+						String userID = node.getAttribute(K.USER);
+						String note = node.getAttribute(K.NOTE);
+						int inote = 0;
+						if (note.length() > 0) inote = Integer.parseInt(note);
+						String comment = node.getTextContent();
+						record.reports.add(new Report(userID, comment, inote));
+					}
+
 					this.put(record.uniq_id, record);
 					if (!this.containsUser(record.user)) this.registerUser(record.user);
 					this.setRecordToUser(record.user, record.uniq_id);
@@ -325,9 +341,18 @@
 				rootElement.appendChild(e);
 			}
 			
+			for (Report v : record.reports) {
+				Element e = doc.createElement(K.REPORT);
+				e.setAttribute(K.USER, v.user);
+				e.setTextContent(v.comment);
+				e.setAttribute(K.NOTE, ""+v.note);
+				rootElement.appendChild(e);
+			}
+			
 			// write the content into xml file
 			TransformerFactory transformerFactory = TransformerFactory.newInstance();
 			Transformer transformer = transformerFactory.newTransformer();
+			transformer.setOutputProperty(OutputKeys.INDENT, "yes");
 			DOMSource source = new DOMSource(doc);
 			StreamResult result = new StreamResult(recordDB);
 	 		// StreamResult result = new StreamResult(System.out);
Index: projets/BCCCC/src/org/ccc/bcccc/shared/TerrainRecordAndRights.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/TerrainRecordAndRights.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/TerrainRecordAndRights.java	(revision 7)
@@ -74,6 +74,6 @@
 	 * @see java.lang.Object#toString()
 	 */
 	public String toString() {
-		return "("+editable+", "+deletable+", "+validable+") "+record.toString();
+		return record.toString()+ "\n(editable="+editable+", deleteable="+deletable+", validable="+validable+")";
 	}
 }
Index: projets/BCCCC/src/org/ccc/bcccc/shared/Data.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/Data.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/Data.java	(revision 7)
@@ -24,7 +24,7 @@
 /**
  * The Class Data.
  */
-public class Data implements Serializable {
+public class Data implements Serializable, IHTMLprintable, ITerrainField {
 
 	/** The Constant serialVersionUID. */
 	private static final long serialVersionUID = 1047843881275904261L;
@@ -36,8 +36,12 @@
 	public String url = null;
 	
 	/** The Constant values. */
-	public static final String[] values = {"primary", "secondary", "illustrative"};
+	public static final String[] values = {"Primaire", "Secondaire", "Illustratif"};
 	
+	protected Data() {
+		
+	}
+	
 	/**
 	 * Instantiates a new data.
 	 *
@@ -55,4 +59,15 @@
 	public String toString() {
 		return type +" "+url;
 	}
+	
+	/* (non-Javadoc)
+	 * @see java.lang.Object#toString()
+	 */
+	public String toHTML() {
+		return "<p>"+type +" Télécharger à l'adresse <a href=\""+url+"\">"+url+"</a></p>";
+	}
+	
+	public String toCompareString() {
+		return type;
+	}
 }
Index: projets/BCCCC/src/org/ccc/bcccc/shared/K.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/K.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/K.java	(revision 7)
@@ -106,6 +106,8 @@
 	
 	/** The Constant DOCUMENTATION. */
 	public static final String DOCUMENTATION = "documentation";
+
+	public static final String REPORT = "report";
 	
 	/** The Constant NAME. */
 	public static final String NAME = "name";
@@ -124,4 +126,10 @@
 	
 	/** The Constant WORDS. */
 	public static final String WORDS = "words";
+
+	public static final String NOTE = "note";
+	public static final String COMMENT = "comment";
+
+	public static final String MATCHINGSTRATEGY = "matching";
+
 }
Index: projets/BCCCC/src/org/ccc/bcccc/shared/Report.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/Report.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/Report.java	(revision 7)
@@ -24,7 +24,7 @@
 /**
  * The Class Report.
  */
-public class Report implements Serializable {
+public class Report implements Serializable, IHTMLprintable, ITerrainField {
 
 	/** The Constant serialVersionUID. */
 	private static final long serialVersionUID = 5810467466405146857L;
@@ -38,6 +38,10 @@
 	/** The note. */
 	public int note;
 	
+	public Report() {
+		
+	}
+	
 	/**
 	 * Instantiates a new report.
 	 *
@@ -57,4 +61,16 @@
 	public String toString() {
 		return user+":"+note+":"+comment;
 	}
+	
+	/* (non-Javadoc)
+	 * @see java.lang.Object#toString()
+	 */
+	public String toHTML() {
+		return "<p>"+user+" : "+note+"/5 </p><p>"+comment+"</p>";
+	}
+
+	@Override
+	public String toCompareString() {
+		return user;
+	}
 }
Index: projets/BCCCC/src/org/ccc/bcccc/shared/DocumentUnit.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/DocumentUnit.java	(revision 6)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/DocumentUnit.java	(revision 7)
@@ -24,24 +24,31 @@
 /**
  * The Class DocumentUnit.
  */
-public class DocumentUnit implements Serializable {
+public class DocumentUnit implements Serializable, IHTMLprintable, ITerrainField {
 
+
+
+
 	/** The Constant serialVersionUID. */
 	private static final long serialVersionUID = 7528287443409293099L;
-	
+
 	/** The type. */
 	public String type = "";
-	
+
 	/** The url. */
 	public String url = "";
-	
+
 	/** The name. */
 	public String name = "";
-	
+
 	/** The Constant values. */
-	public static final String[] values = {"plan", "description", "makingof", "photo dispositif", "photo terrain"};
-	
-	
+	public static final String[] values = {"Plan", "Description", "Makingof", "Dispositif photo", "Photo du terrain"};
+
+
+	protected DocumentUnit() {
+
+	}
+
 	/**
 	 * Instantiates a new document unit.
 	 *
@@ -54,11 +61,22 @@
 		this.url = url;
 		this.name = name;
 	}
-	
+
 	/* (non-Javadoc)
 	 * @see java.lang.Object#toString()
 	 */
 	public String toString() {
 		return name +" "+type+" "+url;
 	}
+	
+	/* (non-Javadoc)
+	 * @see java.lang.Object#toString()
+	 */
+	public String toHTML() {
+		return "<p>"+type+" : "+name +" à télécharger à l'adresse <a href=\""+url+"\">"+url+"</a></p>";
+	}
+	
+	public String toCompareString() {
+		return type;
+	}
 }
Index: projets/BCCCC/src/org/ccc/bcccc/shared/IHTMLprintable.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/IHTMLprintable.java	(revision 0)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/IHTMLprintable.java	(revision 7)
@@ -0,0 +1,5 @@
+package org.ccc.bcccc.shared;
+
+public interface IHTMLprintable {
+	public String toHTML();
+}

Index: projets/BCCCC/src/org/ccc/bcccc/shared/ITerrainField.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/ITerrainField.java	(revision 0)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/ITerrainField.java	(revision 7)
@@ -0,0 +1,5 @@
+package org.ccc.bcccc.shared;
+
+public interface ITerrainField {
+	public String toCompareString();
+}

Index: projets/BCCCC/war/bcccc/A254DF09C064E7D48B008BBD0AD883E8.gwt.rpc
===================================================================
--- projets/BCCCC/war/bcccc/A254DF09C064E7D48B008BBD0AD883E8.gwt.rpc	(revision 0)
+++ projets/BCCCC/war/bcccc/A254DF09C064E7D48B008BBD0AD883E8.gwt.rpc	(revision 7)
@@ -0,0 +1,32 @@
+com.google.gwt.i18n.shared.impl.DateRecord, true, true, true, true, com.google.gwt.i18n.shared.impl.DateRecord/3375188634, 3375188634
+com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException, true, true, true, true, com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException/3936916533, 3936916533
+com.google.gwt.user.client.rpc.RpcTokenException, true, true, false, false, com.google.gwt.user.client.rpc.RpcTokenException/2345075298, 2345075298
+com.google.gwt.user.client.rpc.XsrfToken, false, false, true, true, com.google.gwt.user.client.rpc.XsrfToken/4254043109, 4254043109
+com.smartgwt.client.util.LogicalDate, true, true, true, true, com.smartgwt.client.util.LogicalDate/1452805037, 1452805037
+com.smartgwt.client.util.LogicalTime, true, true, true, true, com.smartgwt.client.util.LogicalTime/644891758, 644891758
+java.lang.Boolean, true, true, true, true, java.lang.Boolean/476441737, 476441737
+java.lang.Exception, true, false, true, false, java.lang.Exception/1920171873, 1920171873
+java.lang.IllegalArgumentException, true, true, false, false, java.lang.IllegalArgumentException/1755012560, 1755012560
+java.lang.Long, false, false, true, true, java.lang.Long/4227064769, 4227064769
+java.lang.Number, false, false, true, false, java.lang.Number/300033342, 300033342
+java.lang.NumberFormatException, true, true, false, false, java.lang.NumberFormatException/3305228476, 3305228476
+java.lang.RuntimeException, true, false, true, false, java.lang.RuntimeException/515124647, 515124647
+java.lang.String, true, true, true, true, java.lang.String/2004016611, 2004016611
+[Ljava.lang.String;, true, true, true, true, [Ljava.lang.String;/2600011424, 2600011424
+java.lang.Throwable, true, false, true, false, java.lang.Throwable/2953622131, 2953622131
+java.sql.Date, true, true, true, true, java.sql.Date/730999118, 730999118
+java.sql.Time, true, true, true, true, java.sql.Time/1816797103, 1816797103
+java.sql.Timestamp, true, true, true, true, java.sql.Timestamp/3040052672, 3040052672
+java.util.ArrayList, true, true, true, true, java.util.ArrayList/4159755760, 4159755760
+java.util.Arrays$ArrayList, true, true, true, true, java.util.Arrays$ArrayList/2507071751, 2507071751
+java.util.Collections$EmptyList, true, true, true, true, java.util.Collections$EmptyList/4157118744, 4157118744
+java.util.Collections$SingletonList, true, true, true, true, java.util.Collections$SingletonList/1586180994, 1586180994
+java.util.Date, true, true, true, true, java.util.Date/3385151746, 3385151746
+java.util.HashMap, false, false, true, true, java.util.HashMap/1797211028, 1797211028
+java.util.LinkedHashMap, false, false, true, true, java.util.LinkedHashMap/3008245022, 3008245022
+java.util.LinkedList, true, true, true, true, java.util.LinkedList/3953877921, 3953877921
+java.util.Stack, true, true, true, true, java.util.Stack/1346942793, 1346942793
+java.util.Vector, true, true, true, true, java.util.Vector/3057315478, 3057315478
+org.ccc.bcccc.client.GreetingService, false, false, false, false, _, 1281457674
+org.ccc.bcccc.shared.TerrainRecord, true, true, true, true, org.ccc.bcccc.shared.TerrainRecord/1034002427, 1034002427
+org.ccc.bcccc.shared.TerrainRecordAndRights, true, true, false, false, org.ccc.bcccc.shared.TerrainRecordAndRights/771912597, 771912597
